Free Support Forum - groupdocs.com

Swagger version upgrade for GroupDocs jars


#1

We’re using the GroupDocs Viewer Java SDK to preview documents in our web app. We’re using the groupdocs-java-client-1.6.0.jar file. This jar has a swagger dependency, specifically swagger-core_2.9.1, which is using an older version of the library, version 1.1.0.


We use swagger elsewhere in our app, but we now need to upgrade to the newest version of swagger-core_2.9.1, which is version 1.3.0. The two versions, 1.1.0 and 1.3.0, are not compatible. There are methods that the GroupDocs jar requires that no longer exist in the 1.3.0 jar.

My question is this: Are there any plans to upgrade the version of swagger that the GroupDocs JAR files are using?

#2

Hi Kate,

Thanks for getting in touch.

Our devs are investigating this. We will let you know the status as soon as possible.

Kind Regards,
Vipin Thomas, GroupDocs Support.


#3

Hi Kate,

Thanks for getting in touch.

The devs have started using the latest swagger API in GroupDocs Viewer for Java Library. I’ll notify you once the library is tested and ready for release.

Kind Regards,
Vipin Thomas, GroupDocs Support.


#4

That’s great, thanks. Do you have any estimate on when that might be ready?


#5

Hi Kate,

Thanks for the quick response.

We’re hoping to release it this week itself, may be tomorrow or maximum by Friday.
I’ll notify you once the library is ready for release.

Kind Regards,
Vipin Thomas, GroupDocs Support.


#6

Hi Kate,

Appreciate your patience and understanding.

We have upated the maven repository with the latest Swagger library. Please try the latest version of the GroupDocs Viewer for Cloud API - Java SDK.

We would love to assist you, if any technical support is needed.

Best regards,
Vipin Thomas, GroupDocs Support.